## localsearch 3.8.2

=== meson_options.txt ===
option('extract', type: 'boolean', value: true,
       description: 'Enable the Tracker metadata extractor')
option('functional_tests', type: 'boolean', value: true,
       description: 'Enable the Tracker functional test suite')
option('sandbox_tests', type: 'boolean', value: true,
       description: 'Enable the sandbox test suite')
option('guarantee_metadata', type: 'boolean', value: false,
       description: 'Set nie:title and nie:contentCreated from filename and mtime if no metadata available')
option('man', type: 'boolean', value: true,
       description: 'Install man pages')
option('miner_fs', type: 'boolean', value: true,
       description: 'Enable the Tracker filesystem miner')
option('miner_rss', type: 'boolean', value: false,
       description: 'Enable the Tracker RSS miner')
option('writeback', type: 'boolean', value: true,
       description: 'Enable Tracker writeback feature')
option('seccomp', type: 'boolean', value: true,
       description: 'Enable seccomp sandboxing support in Tracker metadata extractor')
option('landlock', type: 'feature', value: 'auto',
       description: 'Enable landlock sandboxing support in Tracker metadata extractor')
option('domain_prefix', type: 'string', value: 'org.freedesktop',
       description: 'Domain prefix to use, useful for sandboxing')
option('miner_fs_cache_location', type: 'string', value: '',
       description: 'Location of the miner cache, only used when domain_prefix is not \'org.freedesktop\'')
option('default_index_recursive_dirs', type: 'array',
       value: [ '&DESKTOP', '&DOCUMENTS', '&MUSIC', '&PICTURES', '&VIDEOS' ],
       description: 'List of directories to index recursively')
option('default_index_single_dirs', type: 'array',
       value: [ '$HOME', '&DOWNLOAD' ],
       description: 'List of directories to index without inspecting subfolders')

option('fanotify', type: 'feature', value: 'auto',
       description: 'Enable fanotify support on linux architechture')
option('network_manager', type: 'feature', value: 'auto',
       description: 'Connection detection through NetworkManager')
option('abiword', type: 'boolean', value: 'true',
       description: 'Enable extractor for AbiWord files')
option('icon', type: 'boolean', value: 'true',
       description: 'Enable extractor for ICO metadata')
option('mp3', type: 'boolean', value: 'true',
       description: 'Enable extractor for MP3 metadata')
option('ps', type: 'boolean', value: 'true',
       description: 'Enable extractor for PS metadata')
option('text', type: 'boolean', value: 'true',
       description: 'Enable extractor for TXT metadata')
option('unzip_ps_gz_files', type: 'boolean', value: 'true',
       description: 'Enable extractor for PS.GZ metadata')

option('cue', type: 'feature', value: 'auto',
       description: 'Support cue sheet parsing')
option('exif', type: 'feature', value: 'auto',
       description: 'Support EXIF metadata')
option('gif', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from GIF images')
option('gsf', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from MS & Open Office documents')
option('iptc', type: 'feature', value: 'auto',
       description: 'Support IPTC photo metadata')
option('iso', type: 'feature', value: 'auto',
       description: 'Support ISO image parsing')
option('jpeg', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from JPEG images')
option('pdf', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from PDF documents')
option('playlist', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from playlists (w/ Totem)')
option('png', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from PNG images')
option('raw', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from RAW photos')
option('tiff', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from TIFF images')
option('xml', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from XML and HTML documents')
option('xmp', type: 'feature', value: 'auto',
       description: 'Support XMP metadata')
option('xps', type: 'feature', value: 'auto',
       description: 'Support extracting metadata from XPS documents')

option('battery_detection', type: 'combo', choices: ['upower', 'hal', 'none'], value: 'upower',
       description: 'Enable upower or HAL for battery/mains power detection')
option('charset_detection', type: 'combo', choices: ['icu', 'enca', 'none'], value: 'icu',
       description: 'Enable enca or libicu for charset detection in MP3s')
option('generic_media_extractor', type: 'combo', choices: ['gstreamer', 'libav', 'none'], value: 'gstreamer',
       description: 'Enables one of the (gstreamer, libav) generic media extractor backends')
option('gstreamer_backend', type: 'combo', choices: ['discoverer', 'gupnp'], value: 'discoverer',
       description: 'When GStreamer is used, this enables one of the (discoverer, gupnp) GStreamer backends')

option('dbus_services_dir', type: 'string',
       description: 'Directory to install D-Bus .service files (value from dbus-1.pc is used by default)')
option('systemd_user_services', type: 'boolean', value: true,
       description: 'Whether to install systemd user .service files')
option('systemd_user_services_dir', type: 'string',
       description: 'Directory to install systemd user .service files (value from systemd.pc is used by default)')
option('tests_tap_protocol', type: 'boolean', value: false,
       description: 'Whether to enable TAP protocol on tests')
option('test_utils_dir', type: 'string', value: '',
       description: 'Directory to install trackertestutils Python package (or empty to use the default)')

=== debian/changelog ===
localsearch (3.8.2-8) unstable; urgency=high

  * Rename localsearch binary package back to tracker-extract
    to avoid upgrade issue with --purge. (Mitigates: #1113704)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Sep 2025 20:25:36 -0400

localsearch (3.8.2-7) unstable; urgency=medium

  * Cherry-pick 2 patches to fix build with gcc-15 (Closes: #1098013)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Sep 2025 05:22:58 -0400

localsearch (3.8.2-6) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Build-Depend on gobject-introspection, not libgirepository-1.0-dev

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Require-Root field
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Aug 2025 15:46:21 -0400

localsearch (3.8.2-5) experimental; urgency=medium

  * Rename source package and primary binary package to match upstream rename
    (Closes: #1072711)
  * Convert the tracker-extract package to a transitional package
  * Use Build-Depends: gir1.2-tracker-3.0 instead of libtracker-sparql-3.0-dev
  * Cherry-pick patch to fix build with libxml 2.14 (Closes: #1106644)
    (LP: #2111803)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 18:52:20 -0400

tracker-miners (3.8.2-4) unstable; urgency=high

  * Add Build-Depends: libtracker-sparql-3.0-dev for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 16:04:38 -0500

tracker-miners (3.8.2-3) unstable; urgency=medium

  * Add patch to decrease stall test deadline to try to help tests
    pass on slower Debian build architectures like riscv64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 11:10:09 -0500

tracker-miners (3.8.2-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 20:41:12 -0500

tracker-miners (3.8.2-1) experimental; urgency=medium

  * New upstream release
    - Project has been renamed to localsearch
  * Keep using tracker-miners source package name and tracker-extract
    binary package name to avoid NEW queue processing delay
  * Add versioned provides for localsearch so that apps can use the new
    name sooner in their Debian dependencies
  * Convert tracker-miner-fs to a transitional package
  * Add tracker-test-utils package, previously built by source package tracker
  * Update Depends from tracker to tinysparql
  * Remove obsolete Build-Depends: intltool, libblkid-dev
  * Add Build-Depends: libgirepository-1.0-dev, libgudev-1.0-dev
  * Update debian/copyright
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 15 Feb 2025 09:35:20 -0500

tracker-miners (3.7.4-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick a proposed patch to fix the bmp test on big endian
    (Closes: #1064548)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Dec 2024 20:08:09 -0500

tracker-miners (3.7.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1069409)
  * Add patch to skip new broken tiff-photo test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 14:28:09 -0400

tracker-miners (3.7.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 02 May 2024 08:33:30 -0400

tracker-miners (3.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:35:21 -0400

tracker-miners (3.7.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1066898)
  * salsa-ci.yml: Drop experimental handling
  * Disable seccomp for build test build, similar to how we
    disable landlock there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 11:27:30 -0400

tracker-miners (3.7~rc-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Mar 2024 08:05:21 -0500

tracker-miners (3.7~rc-2) experimental; urgency=medium

  [ Patrice Duroux ]
  * Update Homepage (Closes: #1064214)

  [ Jeremy Bícha ]
  * Use "images" for bmp-basic-1 big-endian test override

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 09:41:04 -0500

tracker-miners (3.7~rc-1) experimental; urgency=medium

  * New upstream release
  * Re-enable landlock feature
  * Do an additional build without landlock for build tests only
  * Skip bmp-basic-1 test on big-endian architectures:
    it is a new test failing there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 19:31:14 -0500

tracker-miners (3.7~beta-2) experimental; urgency=medium

  * Temporarily disable landlock feature since it breaks build tests
    on official Debian & Ubuntu builders

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 18:56:28 -0500

tracker-miners (3.7~beta-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean
  * Bump minimum tracker to 3.7
  * Update install file
  * Add debian/salsa-ci.yml

  [ Laurent Bigonville ]
  * debian/control: Switch from systemd to systemd-dev BD (Closes: #1060595)

  [ Matthew Ruffell ]
  * Purge stale systemd unit dependency symbolic links to remove
    tracker-extract-3.service from default.target.wants. (LP: #1779890)
    - d/tracker-extract.postinst

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 17:44:58 -0500

tracker-miners (3.6.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 15:40:13 -0400

tracker-miners (3.6~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum tracker to 3.6

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Sep 2023 11:39:07 -0400

tracker-miners (3.5.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 May 2023 09:38:57 -0400

tracker-miners (3.5.1-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 May 2023 16:35:29 -0400



=== debian/control ===
Source: localsearch
Section: utils
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               gir1.2-glib-2.0 <!nocheck>,
               gir1.2-tracker-3.0 (>= 3.8) <!nocheck>,
               gobject-introspection,
               meson (>= 0.50),
               pkgconf,
               libglib2.0-dev (>= 2.62.0),
               libgstreamer1.0-dev (>= 1.20.0),
               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
               libgudev-1.0-dev,
               libstemmer-dev,
               libtinysparql-dev (>= 3.8.2),
               libpoppler-glib-dev (>= 0.16.0),
               libgsf-1-dev (>= 1.14.24),
               libexif-dev (>= 0.6),
               libgexiv2-dev,
               libnm-dev [linux-any],
               libpng-dev (>= 1.2),
               libtiff-dev,
               libdbus-1-dev (>= 1.3.1),
               libtotem-plparser-dev,
               libexempi-dev (>= 2.1.0),
               libxml2-dev (>= 2.6),
               libupower-glib-dev (>= 0.9.0),
               libicu-dev (>= 4.8.1.1),
               libiptcdata0-dev,
               tinysparql (>= 3.8),
               libgif-dev,
               libgxps-dev,
               libosinfo-1.0-dev (>= 0.2.9),
               libcue-dev (>= 2.0.0),
               libseccomp-dev (>= 2.0) [!hurd-any !kfreebsd-any !linux-alpha !linux-ia64 !linux-m68k !linux-sh4 !linux-sparc64],
               asciidoc-base,
               xsltproc,
               docbook-xsl,
               dbus (>= 1.3.1) <!nocheck>,
               dbus-x11 (>= 1.3.1) <!nocheck>,
               gstreamer1.0-libav (>= 1.20.0) <!nocheck>,
               gstreamer1.0-plugins-good (>= 1.20.0) <!nocheck>,
               gstreamer1.0-tools (>= 1.20.0) <!nocheck>,
               procps <!nocheck>,
               python3-gi <!nocheck>,
               python3-tap <!nocheck>,
               shared-mime-info <!nocheck>,
               systemd-dev (>= 242),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/localsearch
Vcs-Git: https://salsa.debian.org/gnome-team/localsearch.git
Homepage: https://tracker.gnome.org/

Package: tracker-extract
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         procps,
         tinysparql (>= 3.8)
Breaks: tracker-miner-fs (<< 3.8),
        localsearch (<< 3.8.2-8~),
Replaces: tracker-miner-fs (<< 3.8),
          localsearch (<< 3.8.2-8~),
Description: metadata database, indexer and search tool - metadata extractors
 This package contains the metadata extractors.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-test-utils
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-tracker-3.0 (>= 3.8),
         gir1.2-glib-2.0,
         libglib2.0-bin
Description: test utilities for tracker
 This package contains shared test utilities provided by tinysparql, for use by
 localsearch.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: localsearch
Architecture: all
Section: oldlibs
Depends: tracker-extract, ${misc:Depends}
Description: metadata database, indexer and search tool (transitional package)
 This is a transitional package. It can safely be removed.

Package: tracker-miner-fs
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, localsearch
Description: metadata database, indexer and search tool - transitional package
 This empty transitional package is here to ensure smooth upgrades.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

FEATURE_FLAGS = \
	-Dgeneric_media_extractor=gstreamer \
	-Dsystemd_user_services=/usr/lib/systemd/user \
	-Dfunctional_tests=true \
	-Dminer_rss=false \
	-Dbattery_detection=upower \
	-Dcharset_detection=icu \
	-Dsystemd_user_services=true \
	-Dsystemd_user_services_dir=/usr/lib/systemd/user/

ifneq (linux,$(DEB_HOST_ARCH_OS))
FEATURE_FLAGS += -Dnetwork_manager=disabled
endif

MESON_TEST_ARGS = \
	--no-rebuild \
	--verbose
TEST_SUITES_FILTER = \
	functional
# https://gitlab.gnome.org/GNOME/tracker-miners/-/issues/309
# https://gitlab.gnome.org/GNOME/tracker-miners/-/issues/318
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),hppa powerpc ppc64 s390x sparc64))
TEST_SUITES_FILTER += \
	audio
endif

# Disable 'universe' dependencies (libosinfo & libiptcdata) on Ubuntu
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
FEATURE_FLAGS += \
	-Diptc=disabled \
	-Diso=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure  -- \
		-Dauto_features=enabled \
		$(FEATURE_FLAGS)
	dh_auto_configure --builddirectory=debian/testtmp -- \
		-Dauto_features=enabled \
		-Dlandlock=disabled \
		-Dseccomp=false \
		$(FEATURE_FLAGS)

execute_after_dh_auto_build:
	dh_auto_build --builddirectory=debian/testtmp

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/localsearch-3.0/

override_dh_shlibdeps:
	dh_shlibdeps -Ltracker-extract

override_dh_auto_test:
	dbus-run-session -- \
		dh_auto_test --builddirectory=debian/testtmp --no-parallel -- \
		$(MESON_TEST_ARGS) $(addprefix --no-suite ,${TEST_SUITES_FILTER})
	-dbus-run-session -- \
		dh_auto_test --builddirectory=debian/testtmp --no-parallel -- \
		$(MESON_TEST_ARGS) $(addprefix --suite ,${TEST_SUITES_FILTER})

override_dh_gnome_clean:

## localsearch 3.11~alpha

=== meson_options.txt ===
--- 
+++ 
@@ -10,8 +10,6 @@
        description: 'Install man pages')
 option('miner_fs', type: 'boolean', value: true,
        description: 'Enable the Tracker filesystem miner')
-option('miner_rss', type: 'boolean', value: false,
-       description: 'Enable the Tracker RSS miner')
 option('writeback', type: 'boolean', value: true,
        description: 'Enable Tracker writeback feature')
 option('seccomp', type: 'boolean', value: true,
@@ -21,18 +19,16 @@
 option('domain_prefix', type: 'string', value: 'org.freedesktop',
        description: 'Domain prefix to use, useful for sandboxing')
 option('miner_fs_cache_location', type: 'string', value: '',
-       description: 'Location of the miner cache, only used when domain_prefix is not \'org.freedesktop\'')
+       description: 'Location of the miner cache')
 option('default_index_recursive_dirs', type: 'array',
-       value: [ '&DESKTOP', '&DOCUMENTS', '&MUSIC', '&PICTURES', '&VIDEOS' ],
+       value: [ '$HOME' ],
        description: 'List of directories to index recursively')
 option('default_index_single_dirs', type: 'array',
-       value: [ '$HOME', '&DOWNLOAD' ],
+       value: [ ],
        description: 'List of directories to index without inspecting subfolders')
 
 option('fanotify', type: 'feature', value: 'auto',
        description: 'Enable fanotify support on linux architechture')
-option('network_manager', type: 'feature', value: 'auto',
-       description: 'Connection detection through NetworkManager')
 option('abiword', type: 'boolean', value: 'true',
        description: 'Enable extractor for AbiWord files')
 option('icon', type: 'boolean', value: 'true',
@@ -76,15 +72,20 @@
        description: 'Support XMP metadata')
 option('xps', type: 'feature', value: 'auto',
        description: 'Support extracting metadata from XPS documents')
+option('libav', type: 'feature', value: 'auto',
+       description: 'Support extracting metadata using FFmpeg/libav')
+option('webp', type: 'feature', value: 'auto',
+       description: 'Support webp images')
 
 option('battery_detection', type: 'combo', choices: ['upower', 'hal', 'none'], value: 'upower',
        description: 'Enable upower or HAL for battery/mains power detection')
 option('charset_detection', type: 'combo', choices: ['icu', 'enca', 'none'], value: 'icu',
        description: 'Enable enca or libicu for charset detection in MP3s')
-option('generic_media_extractor', type: 'combo', choices: ['gstreamer', 'libav', 'none'], value: 'gstreamer',
-       description: 'Enables one of the (gstreamer, libav) generic media extractor backends')
-option('gstreamer_backend', type: 'combo', choices: ['discoverer', 'gupnp'], value: 'discoverer',
-       description: 'When GStreamer is used, this enables one of the (discoverer, gupnp) GStreamer backends')
+
+option('bash_completion', type: 'boolean', value: true,
+       description: 'Whether to install Bash completion files')
+option('bash_completion_dir', type: 'string',
+       description: 'Directory to install Bash completion files')
 
 option('dbus_services_dir', type: 'string',
        description: 'Directory to install D-Bus .service files (value from dbus-1.pc is used by default)')

=== debian/changelog ===
localsearch (3.11~alpha-1) experimental; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 3.11.alpha
  * Update build dependencies for the new release:
    - Drop: libexif-dev (see gexiv2), libgudev-1.0-dev, libiptcdata0-dev,
      libnm-dev
    - Bump: libglib2.0-dev (>= 2.76.0), libtinysparql-dev (>= 3.10.1),
      meson (>= 0.59)
    - Add: libwebp-dev
  * Drop upstreamed patches:
    - common-Cast-function-argument-to-expected-type.patch
    - extract-html-Don-t-assume-a-NUL-terminated-string-for-the.patch
    - tests-Use-full-signature-in-function-definition.patch
    - tracker-miners-Fix-bmp-basic-1-test-failures-on-big-endia.patch
  * Refresh patches and fix conflicts:
    - CVE-2026-1764.patch
    - CVE-2026-1765.patch
    - CVE-2026-1766-pre1.patch
    - CVE-2026-1766.patch
    - CVE-2026-1767.patch
    - bug426.patch
    - tests-decrease-deadline.patch
  * Add patches:
    - tests-Disable-A-V-tests-when-Dlibav-is-disabled.patch
  * Modify patches:
    - Drop-file-notifier-and-miner-fs-tests.patch has become
      Drop-several-libtracker_miner_slow_tests.patch to address a recurring
      failure unique to the Debian CI environment.
  * debian/rules: Drop -Dgeneric_media_extractor|miner_rss which were both
    removed in 3.9
  * debian/localsearch.install: Add/remove files as they now exist.
  * debian/control: localsearch replaces all old tracker-{extract,miner-fs}

  [ Charles ]
  * localsearch-extractor-ffmpeg:
    - Factor FFmpeg extractor into separate binary package to ease
      distribution problems on Ubuntu. This will be available as a binary
      package in the universe component.
    - Recommend this new binary package on Debian, and Suggest it on
      Ubuntu.
  * Avoid unconditional installation of iso extractor since it's
    conditioned to build only on Debian. Now that modules are
    explicitly listed for dh_install due to the FFmpeg extractor being
    factored out, this needs to be explicitly handled.
  * d/control: Add missing B-D on gir1.2-gstreamer-1.0. Required by
    the test suite.

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 17 Feb 2026 14:43:08 +0800

localsearch (3.8.2-12) unstable; urgency=high

  [ Marc Deslauriers ]
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1764.patch: check for valid offsets
      extracting MP3 performer tags in
      src/tracker-extract/tracker-extract-mp3.c.
      - CVE-2026-1764
  * SECURITY UPDATE: NULL Pointer Dereference
    - debian/patches/bug426.patch: bail out on 0-size frame for ID3v2.0
      tags in src/tracker-extract/tracker-extract-mp3.c.
    - No CVE number
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1765.patch: check for buffer boundaries
      extracting MP3 TXXX tags in
      src/tracker-extract/tracker-extract-mp3.c.
    - CVE-2026-1765
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1766-pre1.patch: minor code refactor in
      src/tracker-extract/tracker-extract-mp3.c.
    - debian/patches/CVE-2026-1766.patch: refactor/fix handling of COMM
      tags in src/tracker-extract/tracker-extract-mp3.c.
    - CVE-2026-1766
  * SECURITY UPDATE: Heap Buffer Overflow
    - debian/patches/CVE-2026-1767.patch: fix accounting of offsets within
      MP3 performer tags in src/tracker-extract/tracker-extract-mp3.c.
    - CVE-2026-1767
    - Closes: #1126910

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 16:06:08 -0500

localsearch (3.8.2-11) unstable; urgency=medium

  * Team upload
  * d/clean: Add trailing slash to directory to fix FTBFS after successful build
    (Closes: #1047126)

 -- Matheus Polkorny <mpolkorny@gmail.com>  Fri, 16 Jan 2026 16:52:23 -0300

localsearch (3.8.2-10) unstable; urgency=medium

  * Increase TRACKER_TESTS_AWAIT_TIMEOUT to fix test failures on riscv64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Jan 2026 14:10:05 -0500

localsearch (3.8.2-9) unstable; urgency=medium

  * Finish renaming tracker-extract to localsearch (Closes: #1113704)
  * Remove direct Build-Depends: dbus, dbus-x11 (Closes: #1117097)
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Jan 2026 12:18:44 -0500

=== debian/control ===
Source: localsearch
Section: utils
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               asciidoc-base,
               docbook-xsl,
               gir1.2-glib-2.0 <!nocheck>,
               gir1.2-tracker-3.0 (>= 3.8) <!nocheck>,
               gobject-introspection,
               gir1.2-gstreamer-1.0 <!nocheck>,
               gstreamer1.0-libav (>= 1.20.0) <!nocheck>,
               gstreamer1.0-plugins-good (>= 1.20.0) <!nocheck>,
               gstreamer1.0-tools (>= 1.20.0) <!nocheck>,
               libavformat-dev,
               libcue-dev (>= 2.0.0),
               libdbus-1-dev (>= 1.3.1),
               libexempi-dev (>= 2.1.0),
               libgexiv2-dev,
               libgif-dev,
               libglib2.0-dev (>= 2.76.0),
               libgsf-1-dev (>= 1.14.24),
               libgstreamer-plugins-base1.0-dev (>= 1.20.0),
               libgstreamer1.0-dev (>= 1.20.0),
               libgxps-dev,
               libicu-dev (>= 4.8.1.1),
               libosinfo-1.0-dev (>= 0.2.9),
               libpng-dev (>= 1.2),
               libpoppler-glib-dev (>= 0.16.0),
               libseccomp-dev (>= 2.0) [!hurd-any !alpha !sparc64],
               libstemmer-dev,
               libtiff-dev,
               libtinysparql-dev (>= 3.10.1),
               libtotem-plparser-dev,
               libupower-glib-dev (>= 0.9.0),
               libwebp-dev,
               libxml2-dev (>= 2.6),
               meson (>= 0.59),
               pkgconf,
               procps <!nocheck>,
               python3-dbusmock <!nocheck>,
               python3-gi <!nocheck>,
               python3-tap <!nocheck>,
               shared-mime-info <!nocheck>,
               systemd-dev (>= 242),
               tinysparql (>= 3.8),
               xsltproc
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/gnome-team/localsearch
Vcs-Git: https://salsa.debian.org/gnome-team/localsearch.git
Homepage: https://tracker.gnome.org/

Package: localsearch
Architecture: any
Depends: procps,
         tinysparql (>= 3.8),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: tracker-extract (<< 3.11~),
        tracker-miner-fs (<< 3.11~)
Replaces: tracker-extract (<< 3.11~),
          tracker-miner-fs (<< 3.11~)
Recommends: ${localsearch-extractor-ffmpeg:Recommends}
Suggests: ${localsearch-extractor-ffmpeg:Suggests}
Description: metadata database, indexer and search tool - metadata extractors
 This package contains the metadata extractors.
 .
 Tracker is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: localsearch-extractor-ffmpeg
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: FFmpeg powered media metadata extractor
 This package contains the FFmpeg powered metadata extractor.
 .
 Due to distribution complications with FFmpeg, this feature is
 available in a separate package. Without this, indexing of
 audio/video files will not be supported.

Package: localsearch-test-utils
Section: libs
Architecture: any
Multi-Arch: same
Depends: gir1.2-glib-2.0,
         gir1.2-tracker-3.0 (>= 3.8),
         libglib2.0-bin,
         python3-gi,
         ${misc:Depends}
Breaks: tracker-test-utils (<< 3.11~)
Replaces: tracker-test-utils (<< 3.11~)
Description: test utilities for localsearch
 This package contains shared test utilities provided by tinysparql, for use by
 localsearch.
 .
 TinySPARQL is an advanced framework for first class objects with associated
 metadata and tags. It provides a one stop solution for all metadata, tags,
 shared object databases, search tools and indexing.

Package: tracker-test-utils
Architecture: any
Section: oldlibs
Multi-Arch: same
Depends: localsearch,
         ${misc:Depends}
Description: test utilities for tracker
 This is a transitional package. It can safely be removed.

Package: tracker-extract
Architecture: all
Section: oldlibs
Depends: localsearch,
         ${misc:Depends}
Description: metadata database, indexer and search tool (transitional package)
 This is a transitional package. It can safely be removed.

Package: tracker-miner-fs
Architecture: all
Section: oldlibs
Depends: localsearch,
         ${misc:Depends}
Description: metadata database, indexer and search tool - transitional package
 This empty transitional package is here to ensure smooth upgrades.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,11 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
 
+export TRACKER_TESTS_AWAIT_TIMEOUT = 60
+
 FEATURE_FLAGS = \
-	-Dgeneric_media_extractor=gstreamer \
 	-Dsystemd_user_services=/usr/lib/systemd/user \
 	-Dfunctional_tests=true \
-	-Dminer_rss=false \
 	-Dbattery_detection=upower \
 	-Dcharset_detection=icu \
 	-Dsystemd_user_services=true \
@@ -34,6 +34,14 @@
 FEATURE_FLAGS += \
 	-Diptc=disabled \
 	-Diso=disabled
+FFMPEG_SUBSTVAR = -Vlocalsearch-extractor-ffmpeg:Suggests=localsearch-extractor-ffmpeg
+else
+execute_after_dh_install:
+	dh_install -p localsearch \
+		usr/lib/*/localsearch-3.0/extract-modules/libextract-iso.so
+	dh_install -p localsearch \
+		usr/share/localsearch3/extract-rules/11-iso.rule
+FFMPEG_SUBSTVAR = -Vlocalsearch-extractor-ffmpeg:Recommends=localsearch-extractor-ffmpeg
 endif
 
 %:
@@ -66,4 +74,8 @@
 		dh_auto_test --builddirectory=debian/testtmp --no-parallel -- \
 		$(MESON_TEST_ARGS) $(addprefix --suite ,${TEST_SUITES_FILTER})
 
-override_dh_gnome_clean:
+override_dh_gencontrol:
+	dh_gencontrol -- $(FFMPEG_SUBSTVAR)
+
+# Skip. We only use dh_gnome for dh_translations for Ubuntu
+override_dh_gnome:
